Attribute VB_Name = "modSaveProfile"
' Used to save profiles

Public Function SaveProfile(sProfileClass As String, sProfileName As String, sFilename As String)
    Dim sProfilePath As String
    Dim sFile As String
    Dim X As Integer
    sProfilePath = App.Path & "\profiles\" & sFilename & ".grp"
    ' Check to see if file exists
    If Dir(sProfilePath, vbNormal) = vbNullString Then
        ' File doesnt exist, proceed to save
            Dim i
            i = FreeFile
            Open sProfilePath For Output As #i
                ' Gather list of data to save
                With frmProfile
                    
                    ' Profile Class and Name
                    sFile = "PN=" & .txtPName.Text & vbCrLf
                    sFile = sFile & "PC=" & .txtPClass.Text & vbCrLf
                    
                    ' Tab 1
                    sFile = sFile & "T1N=" & .sTab.TabCaption(1) & vbCrLf
                    For X = 1 To .lsTab1.ListItems.Count
                                                ' Spell                                                     ' Keybinding                        ' Enabled on/off
                        sFile = sFile & "T1=" & .lsTab1.ListItems.Item(X).ListSubItems.Item(1).Text & "=" & .lsTab1.ListItems.Item(X).Text & "=" & .lsTab2.ListItems.Item(X).Checked & vbCrLf
                    Next X
                    
                    ' Extra line
                    sFile = sFile & vbCrLf
                    
                    ' Tab 2
                    sFile = sFile & "T2N=" & .sTab.TabCaption(2) & vbCrLf
                    For X = 1 To .lsTab2.ListItems.Count
                                                ' Spell                                                     ' Keybinding                        ' Enabled on/off
                        sFile = sFile & "T2=" & .lsTab2.ListItems.Item(X).ListSubItems.Item(1).Text & "=" & .lsTab2.ListItems.Item(X).Text & "=" & .lsTab2.ListItems.Item(X).Checked & vbCrLf
                    Next X
                    
                    ' Extra line
                    sFile = sFile & vbCrLf
                    
                    ' Tab 3
                    sFile = sFile & "T3N=" & .sTab.TabCaption(3) & vbCrLf
                    For X = 1 To .lsTab3.ListItems.Count
                                                ' Spell                                                     ' Keybinding                        ' Enabled on/off
                        sFile = sFile & "T3=" & .lsTab3.ListItems.Item(X).ListSubItems.Item(1).Text & "=" & .lsTab3.ListItems.Item(X).Text & "=" & .lsTab3.ListItems.Item(X).Checked & vbCrLf
                    Next X
                    
                    ' Extra line
                    sFile = sFile & vbCrLf
                    
                    ' Shot Rotation
                    For X = 1 To .lsRotation.ListItems.Count
                                                ' Spell                                                     ' Keybinding                                                    ' On/off
                        sFile = sFile & "TR=" & .lsRotation.ListItems.Item(X).ListSubItems.Item(1).Text & "=" & .lsRotation.ListItems.Item(X).ListSubItems.Item(2).Text & "=" & .lsRotation.ListItems.Item(X).Checked & vbCrLf
                    Next X
                    
                    ' Extra line
                    sFile = sFile & vbCrLf
                    
                    ' Configuration
                        'Reapply Serpent Sting
                                                    ' Delay                 ' On/off                'Stopcasting key
                       ' sFile = sFile & "RAS=" & .txtSerpent.Text & "=" & .chkSerpent.Value & "=" & .txtstopcast.Text & vbCrLf
                        ' GSBar
                                                    ' Key                   ' On/off
                        sFile = sFile & "GSB=" & .txtGSBar.Text & "=" & .chkGSBar.Value & vbCrLf
                
                        ' Delay between presses
                                                ' Delay ms
                        sFile = sFile & "DBP=" & .txtDelay.Text & vbCrLf
                        
                        ' Wow titlebar name
                                                ' Titlebar text
                        'sFile = sFile & "WTB=" & .txtWoW.Text & vbCrLf
                                
                        ' Activation key
                        
                        sFile = sFile & "ACK=" & .txtACK.Text
                        
                        ' End of Data collection
                        End With
                '
                Print #i, sFile
            Close #i
            
            'file written, refresh profiles list
            Call frmMain.cmdRefresh_Click
            'MsgBox sFilename & " successfully created!", vbInformation, "Success!"
            Beep
        Else
            ' file exists, ask for confirmation on overwrite
            If MsgBox("Do you want to overwrite the profile?", vbYesNo, "Overwrite?") = vbYes Then
                ' User clicked yes so overwrite
                Kill sProfilePath
                ' File destroyed, repeat saveprofile function
                With frmProfile
                    SaveProfile .txtPClass.Text, .txtPName.Text, .txtPClass.Text & "." & .txtPName.Text
                End With
            End If
    End If
End Function
